Subject: [eman] Simple device, component etc in draft-ietf-eman-requirements-07.txt

From: "John Parello (jparello)" <[email-masked]>
Date: Mon, 9 Jul 2012 22:50:01 +0000

HI,

More comments to follow on the requirements and thanks again for the draft it's been a lot to go through.

Last meeting when we reviewed terms we presented the idea that qualifying things like Device and Component with Energy or Power seemed redundant and more importantly confusing.

See: http://tools.ietf.org/agenda/83/slides/slides-83-eman-1.pdf  slide 7 specifically

I think the recent threads on information modeling in context of the requirements is a direct result of that confusion. 

I suggest dropping the qualifiers for power and energy in the requirements doc as well as for other terms that you introduced as well. 

Replace 

Powered Entity with Device
Power interface with Interface
Power inlet with Inlet
Power outlet with Outlet
Power State with State

Etc..

Just common terms like device, component and talk about inlets and outlets. That leaves the qualifier of energy and power to the information modeling work. So I'm not just saying change words but the context around them a bit as well.

Once you remove the qualifiers the document reads much more like a requirements document that is separate from an implementation. The general term for device and outlet makes the document read closer to physical devices that to an abstract information model.

I encourage the authors to replace the terms with the simpler terms we talked about and then changing the contexts around  to a reflect a physical real world device versus in preference to an information model term.

It's my opinion that this distinction is what is causing a lot of discussion on the list. For me the requirements should talk about devices not the information model.

Examples below

A)
""
5.  Information on Powered Entities

   This section describes information on Powered Entities for which the
   standard must provide means for retrieving and reporting.
"""
Changes to 
""
5.  Information on Devices

   This section describes information on devices  for which the
   standard must provide means for retrieving and reporting.
"""

B)
"""
Monitoring energy, power, and Power States alone does not reduce the
   energy needed to run a Powered Entity.
"""
Changes to 
""
Monitoring energy, power, and states alone does not reduce the
   energy needed to run a device.
""

C)
"""
Power control is complementary to other energy savings measures
""
Changes to
""
Control is complementary to other energy savings measures
""